# Interface TaskStartEvent

All Superinterfaces:
  `ProgressEvent, StartEvent, TaskProgressEvent`

@Incubating public interface TaskStartEvent extends TaskProgressEvent, StartEvent
An event that informs about a task having started its execution.

Since:
  2.5

## Method Summary

### Methods inherited from interface ProgressEvent

`getDisplayName, getEventTime`

### Methods inherited from interface TaskProgressEvent

`getDescriptor`